nxt.http.callers

## Class GetPrunableMessageCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetPrunableMessageCall>
  - - nxt.http.callers.GetPrunableMessageCall

-     public class GetPrunableMessageCall
      extends APICall.Builder<GetPrunableMessageCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetPrunableMessageCall` | `create(int chain)`
    `GetPrunableMessageCall` | `requireBlock(java.lang.String requireBlock)`
    `GetPrunableMessageCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetPrunableMessageCall` | `retrieve(boolean retrieve)`
    `GetPrunableMessageCall` | `sharedKey(java.lang.String sharedKey)`
    `GetPrunableMessageCall` | `transactionFullHash(byte[] transactionFullHash)`
    `GetPrunableMessageCall` | `transactionFullHash(java.lang.String transactionFullHash)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetPrunableMessageCall create(int chain)

    - #### requireLastBlock

          public GetPrunableMessageCall requireLastBlock(java.lang.String requireLastBlock)

    - #### sharedKey

          public GetPrunableMessageCall sharedKey(java.lang.String sharedKey)

    - #### retrieve

          public GetPrunableMessageCall retrieve(boolean retrieve)

    - #### transactionFullHash

          public GetPrunableMessageCall transactionFullHash(java.lang.String transactionFullHash)

    - #### transactionFullHash

          public GetPrunableMessageCall transactionFullHash(byte[] transactionFullHash)

    - #### requireBlock

          public GetPrunableMessageCall requireBlock(java.lang.String requireBlock)